
Network Tools - Task #2482

Task # 2476 (Closed): Python 3 support

Python 3 specific issues

10/23/2019 12:39 AM - Luke Murphey

Status: Closed Start date: 10/22/2019

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.4.2   

Description

     [exec] ======================================================================

     [exec] ERROR: test_do_ping (__main__.TestPing)

     [exec] ----------------------------------------------------------------------

     [exec] Traceback (most recent call last):

     [exec]   File "unit.py", line 46, in test_do_ping

     [exec]     self.assertEqual(int(parsed['received']), 3)

     [exec] KeyError: 'received'

     [exec] 

     [exec] ======================================================================

     [exec] ERROR: test_do_traceroute (__main__.TestTraceroute)

     [exec] ----------------------------------------------------------------------

     [exec] Traceback (most recent call last):

     [exec]   File "../src/bin/network_tools_app/__init__.py", line 181, in traceroute

     [exec]     trp = Traceroute.parse(output)

     [exec]   File "../src/bin/network_tools_app/tracerouteparser.py", line 117, in parse

     [exec]     traceroute.initialize_from_output(output, raise_exception_on_non_matches)

     [exec]   File "../src/bin/network_tools_app/tracerouteparser.py", line 163, in initialize_fro

m_output

     [exec]     for line in output.split('\n'):

     [exec] TypeError: a bytes-like object is required, not 'str'

     [exec] 

     [exec] During handling of the above exception, another exception occurred:

     [exec] 

     [exec] Traceback (most recent call last):

     [exec]   File "unit.py", line 68, in test_do_traceroute

     [exec]     _, _, parsed = traceroute("att.com")

     [exec]   File "../src/bin/network_tools_app/__init__.py", line 233, in traceroute

     [exec]     raise Exception("Unable to parse traceroute output")

     [exec] Exception: Unable to parse traceroute output

Associated revisions

Revision 351 - 10/23/2019 05:23 AM - lmurphey

Improving Python 3 compatibility

Reference #2482

Revision 352 - 10/23/2019 06:15 AM - lmurphey

Fixing traceroute parsing on Python 3

Reference #2482

History
#1 - 10/23/2019 05:23 AM - Luke Murphey

- Status changed from New to In Progress

- % Done changed from 0 to 70

#2 - 10/23/2019 03:57 PM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 70 to 100
